# MixpanelLogMessage

    public struct MixpanelLogMessage

This holds all the data for each log message, since the formatting is up to each logging object. It is a simple bag of data

- `file`

  The file where this log message was created

  #### Declaration

  Swift

      public let file: String

- `function`

  The function where this log message was created

  #### Declaration

  Swift

      public let function: String

- `text`

  The text of the log message

  #### Declaration

  Swift

      public let text: String

- `level`

  The level of the log message

  #### Declaration

  Swift

      public let level: MixpanelLogLevel

© 2026 Mixpanel. All rights reserved. (Last updated: 2026-04-07)

Generated by jazzy ♪♫ v0.15.4, a Realm project.